%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate sysinfo

Name:           rust-sysinfo
Version:        0.30.12
Release:    1%{?dist}
Summary:        Library to get system information such as processes, CPUs, disks, components and networks

License:        MIT
URL:            https://crates.io/crates/sysinfo
Source0:         %{crates_source}
Patch:          sysinfo-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Library to get system information such as processes, CPUs, disks,
components and networks.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/ADDING_NEW_PLATFORMS.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/migration_guide.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c-interface-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c-interface-devel %{_description}

This package contains library source intended for building other packages which
use the "c-interface" feature of the "%{crate}" crate.

%files       -n %{name}+c-interface-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linux-netdevs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linux-netdevs-devel %{_description}

This package contains library source intended for building other packages which
use the "linux-netdevs" feature of the "%{crate}" crate.

%files       -n %{name}+linux-netdevs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linux-tmpfs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linux-tmpfs-devel %{_description}

This package contains library source intended for building other packages which
use the "linux-tmpfs" feature of the "%{crate}" crate.

%files       -n %{name}+linux-tmpfs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multithread-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multithread-devel %{_description}

This package contains library source intended for building other packages which
use the "multithread" feature of the "%{crate}" crate.

%files       -n %{name}+multithread-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.12-1
- initial build
